// 自动生成模板UnitHistory
package autocode

import (
	"github.com/flipped-aurora/gin-vue-admin/server/global"
)

// UnitHistory 结构体
// 如果含有time.Time 请自行import time包
type UnitHistory struct {
	global.GVA_MODEL
	UnitName        string `json:"unitName" form:"unitName" gorm:"column:unit_name;comment:单位名称;type:varchar(200);"`
	UnitIntegral    *int   `json:"unitIntegral" form:"unitIntegral" gorm:"column:unit_integral;comment:现有积分;type:int"`
	UnitMaxIntegral *int   `json:"unitMaxIntegral" form:"unitMaxIntegral" gorm:"column:unit_max_integral;comment:满分;type:int"`
	Period          string `json:"period" form:"period" gorm:"column:period;comment:期编号;type:varchar(40);"`
	UnitId          *uint  `json:"unitId" form:"unitId" gorm:"column:unit_id;comment:单位id;type:bigint"`
	ProblemIds      string `json:"problemIds" form:"problemIds" gorm:"column:problem_ids;comment:关联问题id;type:varchar(10000);"`
	Remark          string `json:"remark" form:"remark" gorm:"column:remark;comment:单位类型;type:varchar(600);"`
}

// TableName UnitHistory 表名
func (UnitHistory) TableName() string {
	return "unit_history"
}
